Attach an uploaded image to a product
POST
/admin/v1/products/{id}/images
const url = 'https://your-store.example.com/admin/v1/products/example/images';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"imageId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","position":0}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.example.com/admin/v1/products/example/images \ --header 'Content-Type: application/json' \ --data '{ "imageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "position": 0 }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
imageId
required
string format: uuid
position
integer